﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AAE2023_11_1
{
    public partial class Form1 : Form
    {
        OleDbConnection connection;
        String connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data source=Database1.mdb";
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            connection.Open();
            String query = "Insert into Car([Car_Maker]," +
                "[Model],[Horse_Power],[CC],[Price]) " +
                "values(@maker,@model,@power,@cc,@price)";
            OleDbCommand command = connection.CreateCommand();
            command.CommandText = query;
            command.Parameters.AddRange(new OleDbParameter[]
            {
                new OleDbParameter("@maker",textBox1.Text),
                new OleDbParameter("@model",textBox2.Text),
                new OleDbParameter("@power",textBox3.Text),
                new OleDbParameter("@cc",textBox4.Text),
                new OleDbParameter("@price",textBox5.Text)
            });
            int count = command.ExecuteNonQuery();
            connection.Close();
            MessageBox.Show(count.ToString() + " row affected");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new OleDbConnection(connectionString);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            connection.Open();
            String query = "Select Car_Maker,Price from Car";
            OleDbCommand command = connection.CreateCommand();
            command.CommandText = query;
            OleDbDataReader reader= command.ExecuteReader();
            StringBuilder builder= new StringBuilder();
            while (reader.Read())
            {
                builder.Append(reader.GetString(0));
                builder.Append(", ");
                builder.Append(reader.GetString(1));
                builder.Append(Environment.NewLine);
            }
            reader.Close();
            connection.Close();
            MessageBox.Show(builder.ToString());
        }
    }
}
